# -*- coding: utf-8 -*-

#' # Aufgabe 2

# Standard imports
import numpy as np
import numpy.linalg as la
import matplotlib.pyplot as plt
import polynompy as pp

#%%
#' ## (a)

def intlepore(n):
    """ Integrierte Legendre Polynom vom Grad n """
    assert n >= 1 and isinstance(n, int), \
        "n ist keine natürliche Zahl."
        
    if n == 1: 
        return pp.Polynom({1:1})
    elif n == 2:
        return pp.Polynom({0:-1/2,2:1/2})
    else:
        x = pp.Polynom({1:1})
    return ((2*n-1)*x*intlepore(n-1) - \
            (n-1)*intlepore(n-2)) / n

#%%
#' ## (b)
col = ['r','g','b','c','m']
for k, c in zip(range(2,7),col):
    intlepore(k).plot(xmin=-1,style=c)

#%%
#' ## Für Ihre Tests
